#ifndef RAYON_H
#define RAYON_H

#include <QString>
#include <QSqlQuery>
#include <QSqlQueryModel>

class rayon
{public:
    rayon();
    rayon(int,int,int,int,int);
    bool ajouter();
    bool modifier(int,int,int,int,int);
    QSqlQueryModel * afficher();
    bool supprimer(int idd);
    QSqlQueryModel * trier();
    bool modifier_etat(int);
private:
    int id,temperature,luminosite,humidite,etat;

};

#endif // RAYON_H
